import { AfterViewChecked, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { MatDialogRef } from '@angular/material/dialog';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { Subject } from 'rxjs';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSIconRegistryService } from '../../app-icon/icon-registry.service';
import { TreeConfig } from '../../tree/model/tree-config.model';
import { TreeFlatNode } from '../../tree/model/tree-flat-node.model';
import { TreeModel } from '../../tree/model/tree.model';
import { TreeComponent } from '../../tree/tree.component';
import { DataType } from '../common/data-type.enum';
import { ModuleType } from '../common/module-type.enum';
import { PopupData } from '../model/popup-data.model';
import { IRelated, RelatedOption } from '../model/related-data.model';
import { SelectedNode } from '../model/selected-node.model';
import { QMSRelatedGlobalService } from '../service/related-global.service';
export declare class RelatedPopupComponent implements OnInit, OnDestroy, AfterViewChecked {
    private cdRef;
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<RelatedPopupComponent>;
    globalService: QMSRelatedGlobalService;
    private iconRegistry;
    private sanitizer;
    private appIconService;
    private elem;
    data: PopupData;
    ngUnsubscribe: Subject<void>;
    LANG: any;
    moduleId: number;
    moduleName: string;
    treeData1: Array<TreeModel>;
    treeData2: Array<TreeModel>;
    treeConfig1: TreeConfig;
    treeConfig2: TreeConfig;
    checkedNodeList: Array<SelectedNode>;
    selectedNode: Array<SelectedNode>;
    selectedData: Array<TreeFlatNode>;
    selectedData2: Array<TreeFlatNode>;
    commonCheckedList: Array<TreeFlatNode>;
    documentCheckedList: Array<TreeFlatNode>;
    singleProcessList: Array<SelectedNode>;
    singleDocumentList: Array<SelectedNode>;
    splitView: boolean;
    module: typeof ModuleType;
    dataType: typeof DataType;
    itemType: number;
    selectedRiskData: any;
    disabledList: any;
    disabledList2: any;
    maxSelectItemCount: number;
    canOnlySelectItem: boolean;
    isDocumentExpanded: boolean;
    isCommonExpanded: boolean;
    singleSelectedNode: boolean;
    searchOrder: any[];
    myControl: FormControl;
    filteredOptions: RelatedOption[];
    isInputValue: boolean;
    itemInSplitview: IRelated[];
    selectedFolder: TreeFlatNode;
    splitViewTitle: string;
    listChildrenSelectOne: any;
    onSearch: EventEmitter<any>;
    onExpandFolder: EventEmitter<IRelated>;
    parentNodeSelected: TreeFlatNode;
    treeControlNodeProcess: any;
    treeControlNodeDocument: any;
    dataTrees: QueryList<TreeComponent>;
    autoComplete: MatAutocompleteTrigger;
    constructor(cdRef: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<RelatedPopupComponent>, globalService: QMSRelatedGlobalService, iconRegistry: MatIconRegistry, sanitizer: DomSanitizer, appIconService: QMSIconRegistryService, elem: ElementRef, data: PopupData);
    ngOnDestroy(): void;
    onMessage(event: any): void;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    getDataTypeId(moduleId: number): any;
    removeCheckedNodeList(item: TreeFlatNode): void;
    isMatchTrue(arr: any[], arr2: any[]): boolean;
    setResultHeight(arr?: IRelated[]): void;
    onSearchRelated(_val: any): void;
    getModuleFilteredOptions(moduleId: number): RelatedOption[];
    showSearchResult(): void;
    displayRelated(related?: IRelated): string | undefined;
    selectRelated(item: IRelated): void;
    selectNodeRecursive(item: TreeModel, itemType: DataType): void;
    setTypeProcess(expand: any): DataType.process | DataType.area;
    getCommonCheckedNode(list: Array<TreeFlatNode>): void;
    getDocumentCheckedNode(list: Array<TreeFlatNode>): void;
    onCloseClick(): void;
    onAddClick(): void;
    getStatusName(id: any): string;
    getBreadcumbAllParentProcess(id: any): any[];
    getBreadcumbAllParentDocs(id: any): any[];
    checkBreadcumbProcess(id: any, breadcumbs: any, callback: any): void;
    checkBreadcumbDocument(id: any, breadcumbs: any, callback: any): void;
    selectTreeControlNodeDocument(treeNodes: any): void;
    selectTreeControlNodeProcess(treeNodes: any): void;
    getStatusDocs(id: any): number;
    getStatusProcess(id: any): number;
    getOffsetHeight(element: HTMLElement, includeMargin: boolean): number;
    getItemChipName(item: SelectedNode): string;
    isEllipsisActive(e: HTMLElement): boolean;
    getNodeIcon(item: IRelated): "process" | "process_area_outlined" | "document" | "document_local" | "document_enterprise" | "document_department" | "document_regional" | "folder_outlined" | "local_folder_outlined" | "enterprise_folder_outlined" | "regional_folder_outlined" | "department_folder_outlined" | "deviation" | "checklist" | "risk";
    getSearchOrder(): {
        value: any;
        key: string;
    }[];
    getTitle(type: number): any;
    getParentName(item: IRelated): string;
    getItemId(item: IRelated): string;
    toggleSelectItem(node: IRelated): void;
    isNodeSelected(node: any): boolean;
    getChildrenOfFolder(node: TreeFlatNode, type: DataType): void;
    canShowSearchOption(moduleId: number): boolean;
    selectNodeTreeEvent(node: TreeFlatNode): void;
    selectNodeTree2Event(node: TreeFlatNode): void;
    getChildNodeSelectOne(listChildren: any): void;
    hasSelected(related: IRelated): boolean;
    toRelatedOptions(relateds: IRelated[]): RelatedOption[];
    displayWhenSelectRelatedOption($event: any): string | null;
    refreshRelatedOptions(): void;
}
